/**
  ******************************************************************************
  * @file    user_config.h
  * @author  SINOMCU-AE
  * @brief   Header file of user config.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, SinoMCU shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu All rights reserved.</center></h2>
  *
  ******************************************************************************
  */
// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H
#include "ms32f0xx_adc.h"

// <o> Timer14 capture source
// <i> selcet timer14 capture source
// <i>  LSI from MCO,PA8 GPIO : timer14 input capture MCO signal,MCU internal connect,PA8 do not need config MCO out,eg.MS8040
// <i>  LSI from MCO,PA8 MCO  : timer14 input capture MCO signal,MCU internal connect,PA8 config MCO out at the same time.
// <i>  Timer14 IC PA4,PA8 MCO,PB7 PWM out: user cennect PA8 or PB7 to PA4,test the signal frequency and duty.
// <0=> LSI from MCO,PA8 GPIO
// <1=> LSI from MCO,PA8 MCO
// <2=> Timer14 IC PA4,PA8 MCO,PB7 PWM out
#define TIM14_IC_SIGNAL_SOURCE         0

// <o> Timer CNT Clock(CK_CNT),unit Hz
// <i> Unit in Hz,default 1MHz;Capture Frequency min=CK_CNT/(65535),max =CK_CNT/IRQ program run time(need test).
// <i> CK_CNT =CLK_INT(from RCC)/PSC(16bit),be careful calculation.
// <i> eg. HSE PLL out 48MHz,APB PRE=1,CLK_INT 48MHz,TIMER_CNT_CLOCK >=733Hz.
#define TIMER_CNT_CLOCK                1000000   // Hz

// <c1> Printf to USART
// <i> Retargets printf to USART
#define EN_PRINT_UART                  1         // 1:Retargets printf to USART,0 or not define:printf null out
// </c>

#endif /* __SYSTEM_DEF_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
